Bug 732925 - Remove system-config-printer from Desktop Spin
Remove system-config-printer from Desktop Spin
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-24 03:46 EDT by Denis Washington
Modified: 2015-02-17 08:51 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:51:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denis Washington 2011-08-24 03:46:46 EDT
As GNOME 3 includes its own means of printer configuration in System Settings, system-config-printer should be removed from the Desktop spin. Users who need its advanced features are still free to install it, but the basic configuration offered by the GNOME System Settings panel should be enough for most Desktop use cases.
Comment 1 Elad Alfassa 2011-08-24 13:43:56 EDT
Please don't!
Gnome 3 printer setup dialog doesn't work well with network (esp. samba) printers, which is a very common configuration in a home network.




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Bill Nottingham 2011-08-24 13:48:39 EDT
Does it work? In F-15 it really really didn't.
Comment 3 Denis Washington 2011-08-24 13:53:44 EDT
@Elad: How about fixing the GNOME printer settings for network printers? That it doesn't work well now is not a very strong argument to keep system-config-printer. It doesn't have to be for Fedora 16 if it's not ready by then.

@Bill: It works flawlessly for me on Fedora 15 with a local HP printer.
Comment 4 Elad Alfassa 2011-08-24 14:02:39 EDT
(In reply to comment #3)
> @Elad: How about fixing the GNOME printer settings for network printers? 
That's not as simple as it sounds.
It means debugging, finding why doesn't it find network printers, file bugs, making patches, getting them reviewed and so on.

 





-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Denis Washington 2011-08-24 14:12:47 EDT
I know how bug fixing works. However, I just reported as a bug what I think should be the long-term solution; when this is reached - maybe not before F17 or even F18 - is another question.
Comment 6 Bastien Nocera 2011-08-24 15:29:06 EDT
(In reply to comment #2)
> Does it work? In F-15 it really really didn't.

There were a big number of bug fixes, and also some missing functionality that got migrated.

Adding twaugh and mkasik to the CC:.

See also https://bugzilla.gnome.org/show_bug.cgi?id=654742
Comment 7 Matthias Clasen 2011-08-24 21:01:55 EDT
Marek is on vacation this week, so I'll chime in here:

- support for network printers (including firewall circumvention, etc) should be much better in 3.2

- s-c-p has gained dbus apis that let us reuse some of its functionality in the printer panel (such as driver selection heuristics, grouping of physical devices, driver installation)
Comment 8 Tim Waugh 2011-08-25 04:06:37 EDT
Also: that D-Bus service is in the system-config-printer-libs sub-package... so in future we can just ship that package in the spin and not the main system-config-printer package.

Related question: should I change the application name of system-config-printer in its desktop file?  Currently it's name=Printing, comment=Configure Printers... perhaps too easily confused with the System Settings name Printers.
Comment 9 Elad Alfassa 2011-08-25 04:11:46 EDT
(In reply to comment #8)
> Related question: should I change the application name of system-config-printer
> in its desktop file?  Currently it's name=Printing, comment=Configure
> Printers... perhaps too easily confused with the System Settings name Printers.
Yes, you should change it IMO.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Tim Waugh 2011-08-25 04:45:34 EDT
Anyone have any suggestions for a name to put there?  It's never had a proper name before now.  "Printers (Advanced)" or something?
Comment 11 Denis Washington 2011-08-25 04:51:27 EDT
How about "Printer Manager", or "Advanced Printer Manager"? If the app is removed from the default install, the former name is sufficiently clear as the user would have installed it himself and thus knows that it is "advanced".
Comment 12 Marek Kašík 2011-08-29 07:21:32 EDT
Hi,

as Tim said, Printers panel needs just the system-config-printer-libs subpackage. The panel also works without the subpackage but it misses some features in the case.
Regarding the name, what about something like "Printers Administrator".

Marek
Comment 13 Javier Jardón 2012-07-15 10:09:42 EDT
Could be this fixed for F18?
Comment 14 Matthias Clasen 2012-07-16 12:23:34 EDT
It will be fixed when we have the printer panel enhancements in place.
Two of them landed upstream today.
Comment 15 Fedora End Of Life 2013-04-03 11:33:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 16 Fedora End Of Life 2015-01-09 11:45:30 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-17 08:51:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.